10 REM tfspot -- moving and spotting ship task forces
11 REM note: ships stay spotted once spotted unless spot flag is turned off manually
12 REM scale is 40 nm squares and 4 hour turns
15 CLS
20 DIM x(40): DIM y(40): DIM w(40): DIM d(40): DIM s(40): DIM r(40): DIM z(40): DIM v(40): DIM dr(40)
21 DIM sx(40): DIM sy(40): DIM sd(40): DIM sa(40): DIM se(40)
22 DIM i(40): DIM cv(40): DIM ls(40): DIM ss(40): DIM mm(40): DIM tt(40): DIM tx(40): DIM ty(40)
23 DIM wx(40): DIM wy(40): DIM wd(40): DIM wc(40): DIM ws(40): DIM wr(40): DIM ud(40)
24 DIM ux(40): DIM uy(40): DIM xd(40): DIM yd(40): DIM st(40): DIM vu(40): DIM va(40)
30 CLS : PRINT "Turn"; tn; "movement and searches completed.": PRINT : INPUT "Enter 1 for Force A options, 2 for Force B options, 3 to run movement for a turn, 4 for file options"; k1
35 IF k1 = 1 THEN sd = 1
40 IF k1 = 2 THEN sd = 2
42 IF k1 = 3 THEN GOTO 2000
43 IF k1 = 4 THEN GOTO 10010
44 IF k1 > 4 OR k1 < 0 THEN GOTO 30
45 REM x is x location, y is y location, w is weather, d is course, s is speed, r is radar range, z is ship size, v is whether formation was sighted, dr is course in radians
50 CLS :
51 IF sd = 1 THEN PRINT "**Side A**": GOTO 1000
52 IF sd = 2 THEN PRINT "**Side B**": GOTO 1000
53 INPUT "Enter TF number to view or adjust a TF (1-20), 0 for main options, 99 to stop program)"; tf
55 IF tf = 0 THEN GOTO 1000
60 IF tf = 99 THEN GOTO 10010
62 td = tf: IF sd = 2 THEN tf = tf + 20
65 IF tf > 40 THEN GOTO 53
70 PRINT : PRINT "TF"; td; "is currently at x"; x(tf); "and y"; y(tf)
80 PRINT "TF speed is currently"; s(tf) * 10; "knots on a course of"; dr(tf) * 180 / 3.14159
90 PRINT "Radar range is"; r(tf) * 80000; "."
95 PRINT cv(tf); "carriers,"; ls(tf); "large ships,"; ss(tf); "small ships,"; mm(tf); "merchantmen."
100 PRINT "Weather modifier is"; w(tf); ".  Ship size is"; z(tf); "."
105 IF v(tf) > 0 THEN PRINT "TF is spotted by ships."
106 IF va(tf) > 0 THEN PRINT "TF spotted by planes."
107 IF vu(tf) > 0 THEN PRINT "TF spotted by submarine."
110 PRINT : INPUT "Enter 1 to return to TF edit menu or 2 to adjust formation"; j4
120 IF j4 = 1 THEN GOTO 53
130 IF j4 < 2 OR j4 > 2 THEN GOTO 110
500 PRINT : INPUT "X coordinate of TF"; x(tf)
510 INPUT "Y coordinate of TF"; y(tf)
530 INPUT "Course of TF"; d(tf): dr(tf) = d(tf) * 3.14159 / 180
540 INPUT "Speed of TF in knots"; s(tf): s(tf) = s(tf) / 10
560 INPUT "Radar range in yards"; r(tf): r(tf) = r(tf) / 80000
570 INPUT "Number of carriers"; cv(tf): INPUT "Number of large ships"; ls(tf): INPUT "Number of small ships"; ss(tf): INPUT "Number of merchant ships"; mm(tf)
572 IF cv(tf) < 0 OR ls(tf) < 0 THEN z(tf) = 3 ELSE z(tf) = 1
575 REM INPUT "TF spotted (enter 1, 2 or 3) or unspotted (enter 0)"; vb
576 REM IF vb = 1 THEN v(tf) = 1
577 REM IF vb = 2 THEN va(tf) = 1
578 REM IF vb = 3 THEN vu(tf) = 1
580 INPUT "Review data and enter 1 to continue or 2 to go to edit menu"; jk
590 IF jk = 1 THEN CLS : GOTO 53
600 IF jk = 2 THEN CLS : GOTO 1000
610 GOTO 580
990 REM main side menu
1000 CLS : PRINT "Enter TF number (1-20) to alter course and speed."
1001 PRINT "Enter -1 to set air searches."
1002 PRINT "Enter -2 to check spotting for this side."
1003 PRINT "Enter -3 to edit TFs."
1004 PRINT "Enter -4 to set weather."
1005 PRINT "Enter -5 to set sub patrol areas."
1006 PRINT "Enter -6 to go to side change, movement and file options menu."
1007 PRINT "Enter 99 to end program"
1008 IF sd = 1 THEN PRINT "**Side A**": INPUT fr
1009 IF sd = 2 THEN PRINT "**Side B**": INPUT fr
1012 IF fr = -2 THEN GOTO 4000
1014 IF fr = -3 THEN GOTO 53
1016 IF fr = -4 THEN GOTO 5000
1017 IF fr = -5 THEN GOTO 6000
1018 IF fr = -1 THEN GOTO 7000
1019 IF fr = -6 THEN GOTO 30
1020 IF fr = 99 THEN GOTO 10010
1025 fd = fr: IF sd = 2 THEN fr = fr + 20
1030 IF fr > 40 OR fr < -6 THEN GOTO 1000
1050 PRINT : PRINT "TF coordinates are x "; x(fr); "and y "; y(fr)
1055 PRINT "TF weather modifier is"; w(fr)
1060 PRINT "TF course is"; d(fr); "and speed is"; s(fr) * 10; "knots."
1100 PRINT : INPUT "Enter 1 to change course and speed or 2 to continue"; jl
1110 IF jl = 1 THEN GOTO 1200
1120 IF jl = 2 THEN GOTO 1000
1130 GOTO 1100
1200 PRINT : PRINT "Enter new course for TF": PRINT " -1 for move to a point": INPUT "-2 to intercept a task force"; d(fr)
1201 IF d(fr) = -1 THEN GOTO 1400
1202 IF d(fr) = -2 THEN GOTO 1500
1203 IF d(fr) < -2 OR d(fr) > 360 THEN GOTO 1200
1205 dr(fr) = d(fr) * (3.14159 / 180)
1210 INPUT "Enter new speed for TF in knots"; s(fr): s(fr) = s(fr) / 10
1220 INPUT "Enter 1 to confirm new course and speed for TF or 2 to reenter"; j1
1230 IF j1 = 1 THEN CLS : GOTO 1000
1240 IF j1 = 2 THEN GOTO 1200
1250 GOTO 1220
1400 INPUT "X co-ordinate of destination"; xd(fr)
1410 INPUT "Y co-ordinate of destination"; yd(fr)
1490 GOTO 1210
1500 INPUT "Number of enemy TF to intercept"; tt(fr)
1510 IF sd = 1 THEN tt(fr) = tt(fr) + 20
1520 IF v(tt(fr)) > 0 THEN GOTO 1600
1530 IF va(tt(fr)) > 0 THEN GOTO 1600
1540 IF vu(tt(fr)) > 0 THEN GOTO 1600
1550 PRINT "TF not spotted.": d(fr) = 0: GOTO 1220
1600 GOTO 1210

2000 REM movement and weather check routine, continues to spotting checks
2005 FOR n = 1 TO 40
2006 IF d(n) = -2 THEN GOTO 2080
2007 IF d(n) = -1 THEN GOTO 2080
2010 x(n) = (SIN(dr(n)) * s(n)) + x(n)
2020 y(n) = (COS(dr(n)) * s(n)) + y(n)
2025 x(n) = (INT((x(n) * 100) + .5) / 100)
2030 y(n) = (INT((y(n) * 100) + .5) / 100)
2040 wx(n) = (SIN(wr(n)) * ws(n)) + wx(n)
2050 wy(n) = (COS(wr(n)) * ws(n)) + wy(n)
2060 wx(n) = (INT((wx(n) * 100) + .5) / 100)
2070 wy(n) = (INT((wy(n) * 100) + .5) / 100)
2080 NEXT n
2090 FOR n = 1 TO 40
2100 w(n) = 0
2110 NEXT n
2112 GOTO 2290

2115 REM weather checking
2120 FOR n = 1 TO 40
2130 IF wd(n) = 0 THEN GOTO 2210
2140 FOR m = 1 TO 40
2150 dx = x(m) - wx(n)
2160 dy = y(m) - wy(n)
2170 dt = ((dx ^ 2) + (dy ^ 2)) ^ .5
2180 IF dt <= wd(n) THEN w(m) = w(m) + 1
2190 IF w(m) > 3 THEN w(m) = 3
2200 NEXT m
2210 NEXT n
2220 GOTO 2890

2290 REM intercept movement
2300 FOR n = 1 TO 40
2310 IF d(n) <> -2 OR v(tt(n)) = 0 THEN GOTO 2410
2320 dx = x(tt(n)) - x(n)
2330 dy = y(tt(n)) - y(n)
2340 d = ((dx ^ 2) + (dy ^ 2)) ^ .5
2360 IF s(n) > d THEN GOTO 2400
2370 x(n) = x(n) + ((s(n) / d) * dx): x(n) = (INT((x(n) * 100) + .5) / 100)
2380 y(n) = y(n) + ((s(n) / d) * dy): y(n) = (INT((y(n) * 100) + .5) / 100)
2390 GOTO 2410
2400 x(n) = x(tt(n)): y(n) = y(tt(n))
2410 NEXT n
2500 FOR n = 1 TO 40
2510 IF d(n) <> -1 THEN GOTO 2600
2520 dx = xd(n) - x(n)
2530 dy = yd(n) - y(n)
2540 d = ((dx ^ 2) + (dy ^ 2)) ^ .5
2550 IF s(n) > d THEN GOTO 2590
2560 x(n) = x(n) + ((s(n) / d) * dx): x(n) = (INT((x(n) * 100) + .5) / 100)
2570 y(n) = y(n) + ((s(n) / d) * dy): y(n) = (INT((y(n) * 100) + .5) / 100)
2580 GOTO 2600
2590 x(n) = xd(n): y(n) = yd(n)
2600 NEXT n
2610 GOTO 2115

2890 tn = tn + 1
2900 PRINT : PRINT "Movement complete for turn"; tn: INPUT "Press enter to continue"; j5
2910 REM GOTO 30
3000 REM CLS : PRINT : INPUT "Press Enter for sightings or 2 to return to menu"; j2
3010 sd = 1: ln = 1: un = 20: lm = 21: um = 40: GOTO 3300
3020 ln = 21: un = 40: lm = 1: um = 20: GOTO 3300
3025 REM IF j2 = 3 THEN GOTO 1000
3030 REM GOTO 3000
3300 PRINT : sp = 0
3301 IF sd = 1 THEN INPUT "Enter Force A basic surface spotting distance in yards"; sp: sp = sp / 80000
3302 IF sd = 2 THEN INPUT "Enter Force B basic surface spotting distance in yards"; sp: sp = sp / 80000
3305 FOR n = lm TO um: v(n) = 0: va(n) = 0: vu(n) = 0: NEXT n
3310 FOR n = ln TO un
3315 IF x(n) = 0 AND y(n) = 0 THEN GOTO 3360
3320 FOR m = lm TO um
3325 IF x(m) = 0 AND y(m) = 0 THEN GOTO 3350
3330 IF v(m) > 0 THEN GOTO 3350
3335 s1 = sp: s1 = s1 * (4 - w(m)) / 4
3340 IF ((x(n) - x(m)) ^ 2 + (y(n) - y(m)) ^ 2) ^ .5 <= s1 THEN v(m) = m
3350 NEXT m
3360 NEXT n

3600 REM radar search
3610 FOR n = ln TO un
3615 IF x(n) = 0 AND y(n) = 0 THEN GOTO 3680
3620 IF r(n) < .0625 THEN GOTO 3680
3630 FOR m = lm TO um
3633 IF v(m) > 0 THEN GOTO 3670
3636 IF x(m) = 0 AND y(m) = 0 THEN GOTO 3670
3640 IF z(m) = 2 THEN rr = r(n) + .0625
3650 IF z(m) = 3 THEN rr = r(n) + .125
3660 IF ((x(n) - x(m)) ^ 2 + (y(n) - y(m)) ^ 2) ^ .5 <= rr THEN v(m) = m
3670 NEXT m
3680 NEXT n
3800 PRINT
3805 REM FOR n = lm TO um
3810 REM IF v(n) > 0 THEN PRINT "Task force"; n; "at x "; x(n); " and y"; y(n); ",course "; d(n)
3820 REM NEXT n
3830 GOTO 8000
3850 REM PRINT: INPUT "Enter any number to clear this screen and return to Task Force search screen"; j3
3860 REM GOTO 30

4000 REM view searches
4005 CLS
4010 PRINT : INPUT "Press Enter to see search results"; k2
4012 IF sd = 1 THEN lm = 21: um = 40
4015 IF sd = 2 THEN lm = 1: um = 20
4020 FOR m = lm TO um
4025 IF v(m) > 0 THEN GOTO 9500
4030 IF va(m) > 0 THEN GOTO 9500
4035 IF vu(m) > 0 THEN GOTO 9500
4037 GOTO 4050
4040 PRINT : INPUT "Press Enter to clear screen and see the next search"; k3
4050 NEXT m
4060 GOTO 1000

5000 REM weather
5002 PRINT : INPUT "Enter 1 to specify a weather zone, 2 to examine a weather zone, and 3 to return to the main menu"; j7
5004 IF j7 = 2 THEN GOTO 5100
5006 IF j7 = 3 THEN GOTO 1000
5008 IF j7 > 3 THEN GOTO 5000
5010 PRINT : INPUT "Enter number of weather zone (1-40)"; w
5020 INPUT "Enter x co-ordinate of weather zone"; wx(w)
5030 INPUT "Enter y co-ordinate of weather zone"; wy(w)
5040 INPUT "Enter radius of weather zone in nm"; wd: wd(w) = wd / 40
5060 INPUT "Enter course of weather zone"; wc(w): wr(w) = wc(w) * 3.14159 / 180
5070 INPUT "Enter speed of weather zone in knots"; ws(w): ws(w) = ws(w) / 10
5080 GOTO 5000
5100 PRINT : INPUT "Enter number of weather zone (1-40) or 0 to return"; j9
5110 IF j9 = 0 THEN GOTO 5000
5120 IF j9 > 40 THEN GOTO 5100
5130 PRINT : PRINT "Weather zone"; j9; "is at x"; wx(j9); "and y"; wy(j9); "."
5140 PRINT "The zone is moving on a bearing of"; wc(j9); "at a speed of"; ws(j9) * 10
5150 GOTO 5000

6000 REM submarine settings
6010 PRINT : INPUT "Enter 1 to create a submarine zone, 2 to view a submarine zone, and 3 to return to the main menu"; j8
6020 IF j8 = 2 THEN GOTO 6100
6030 IF j8 = 3 THEN GOTO 1000
6040 IF j8 > 3 THEN GOTO 6000
6050 PRINT : INPUT "Enter number of submarine zone (1-20)"; u
6055 IF sd = 2 THEN u = u + 20
6060 INPUT "Enter x coordinate of submarine zone"; ux(u)
6070 INPUT "Enter y coordinate of submarine zone"; uy(u)
6080 INPUT "Enter radius of submarine zone in nm"; ud(u): ud(u) = ud(u) / 40
6090 GOTO 6000
6100 PRINT : INPUT "Enter number of submarine zone (1-20) or 0 to return"; ja
6110 IF ja = 0 THEN GOTO 1000
6120 IF ja > 20 THEN GOTO 6000
6125 IF sd = 2 THEN jz = ja + 20
6126 IF sd = 1 THEN jz = ja
6130 PRINT : PRINT "Submarine"; ja; "is at x co-ordinate"; ux(jz); "and y co-ordinate"; uy(jz); "."
6140 PRINT "Its patrol radius is"; (ud(jz)) * 40
6150 GOTO 6000

7000 REM air search settings
7010 PRINT : INPUT "Enter 1 to examine an air search, 2 to set a search, 0 to return"; k1
7020 IF k1 = 1 THEN GOTO 7500
7030 IF k1 = 0 THEN GOTO 1000
7040 IF k1 < 0 OR k1 > 2 THEN GOTO 7000
7100 REM FOR n = 1 TO 40
7110 REM sx(n) = 0: sy(n) = 0: sd(n) = 0: sa(n) = 0: se(n) = 0
7120 REM NEXT n
7130 PRINT : INPUT "Enter search number (1-20) or 0 to return."; s
7133 IF s = 0 THEN GOTO 7000
7137 IF s > 20 THEN GOTO 7130
7138 IF sd = 2 THEN s = s + 20
7140 INPUT "Enter search x co-ordinate (enter -1 for TF based search)"; sx(s): st(s) = 0
7145 IF sx(s) = -1 THEN GOTO 7190
7150 st(s) = 0: INPUT "Enter search y co-ordinate"; sy(s)
7160 INPUT "Enter search distance in nm"; sd(s): sd(s) = sd(s) / 40
7170 INPUT "Enter search starting bearing"; sa(s)
7180 INPUT "Enter search ending bearing"; se(s): GOTO 7290
7190 INPUT "TF Number"; so
7195 IF sd = 2 THEN so = so + 20
7200 sx(s) = x(so): sy(s) = y(so): st(s) = so
7210 GOTO 7160
7290 GOTO 7000
7500 PRINT : INPUT "Enter number of search (1-20) or 0 to return."; s
7503 IF s = 0 THEN GOTO 7000
7507 IF s > 20 THEN GOTO 7500
7508 IF sd = 2 THEN s1 = s + 20
7509 IF sd = 1 THEN s1 = s
7510 PRINT "Search"; s; "originating from x"; sx(s1); "and y"; sy(s1); "."
7520 PRINT "Searching bearings"; sa(s1); "through"; se(s1); "."
7530 PRINT "Search distance is"; sd(s1) * 40; "."
7540 GOTO 7500

8000 REM sub search checking routine
8020 FOR n = ln TO un
8030 FOR m = lm TO um
8040 dx = ux(n) - x(m)
8050 dy = uy(n) - y(m)
8060 d = ((dx ^ 2) + (dy ^ 2)) ^ .5
8070 IF ux(n) = 0 AND uy(n) = 0 THEN GOTO 8120
8075 IF x(m) = 0 AND y(m) = 0 THEN GOTO 8120
8080 IF d > ud(n) THEN GOTO 8120
8090 REM r1 = INT(RND * 6) + 1
8095 r1 = 1
8100 IF w(m) < 2 AND r1 < 4 THEN vu(m) = m
8110 IF w(m) > 1 AND r1 < 2 THEN vu(m) = m
8120 NEXT m
8130 NEXT n

9010 REM aerial search checking routine
9015 GOTO 9330
9020 FOR n = ln TO un
9025 IF sx(n) = 0 AND sy(n) = 0 THEN GOTO 9310
9030 FOR m = lm TO um
9035 IF x(m) = 0 AND y(m) = 0 THEN GOTO 9300
9040 dx = x(m) - sx(n)
9050 dy = y(m) - sy(n)
9060 d = ((dx ^ 2) + (dy ^ 2)) ^ .5
9070 IF d > sd(n) THEN GOTO 9300
9080 IF dy = 0 THEN sb = 90: GOTO 9101
9100 ss = ATN(dx / dy): sb = ABS(ss): sb = sb * (180 / 3.14159)
9101 IF dx >= 0 AND dy >= 0 THEN sb = sb
9102 IF dx >= 0 AND dy < 0 THEN sb = sb + 90
9103 IF dx < 0 AND dy < 0 THEN sb = sb + 180
9104 IF dx < 0 AND dy >= 0 THEN sb = sb + 270
9140 IF sa(n) > se(n) THEN GOTO 9200
9150 IF sb >= sa(n) AND sb <= se(n) THEN va(m) = m
9160 GOTO 9220
9200 IF sb >= sa(n) AND sb <= 360 THEN va(m) = m
9210 IF sb <= se(n) AND sb >= 0 THEN va(m) = m
9220 IF va(m) > 0 THEN dr = INT(RND * 4) + 1
9225 REM dr = 6
9230 IF va(m) > 0 AND dr - w(m) < 1 THEN va(m) = 0
9300 NEXT m
9310 NEXT n
9315 IF sd = 1 THEN sd = 2: GOTO 3020
9320 IF sd = 2 THEN sd = 0: GOTO 30


9330 REM TF air search position updating
9340 FOR n = 1 TO 40
9350 IF st(n) > 0 THEN sx(n) = x(st(n))
9360 IF st(n) > 0 THEN sy(n) = y(st(n))
9370 NEXT n
9380 GOTO 9020

9500 REM search reporting
9505 GOTO 9750
9510 dr = INT(RND * 6) + 1
9515 REM dr = 6
9520 xr = ((5 - INT(RND * 11)) / 5) + x(m)
9530 yr = ((5 - INT(RND * 11)) / 5) + y(m)
9540 IF dr = 1 THEN PRINT "Ships at x-"; xr; "and y -"; yr: GOTO 9740
9550 ns = cv(m) + ls(m) + ss(m) + mm(m)
9560 ns = INT(ns / 2) + INT(RND * ns / 2) + 1
9570 IF dr = 2 THEN PRINT ns; "ships at x-"; xr; "and y-"; yr: GOTO 9740
9580 IF dr = 3 OR dr = 4 THEN PRINT ns; "ships at x-"; xr; "and y-"; yr
9585 IF dr > 4 THEN GOTO 9635
9590 IF cv(m) > 0 THEN PRINT "Carriers present."
9600 IF ls(m) > 0 THEN PRINT "Large ships present."
9610 IF ss(m) > 0 THEN PRINT "Small ships present."
9620 IF mm(m) > 0 THEN PRINT "Merchant ships present."
9630 IF dr = 3 OR dr = 4 THEN GOTO 9740
9635 IF dr > 5 THEN GOTO 9690
9640 IF dr = 5 THEN PRINT "Ships at x-"; xr; "and y-"; yr
9650 IF cv(m) > 0 THEN cv = INT(cv / 2) + INT(RND * cv(m) / 2) + 1: PRINT cv; "carriers"
9660 IF ls(m) > 0 THEN ls = INT(ls / 2) + INT(RND * ls(m) / 2) + 1: PRINT ls; "large ships"
9670 IF ss(m) > 0 THEN ss = INT(ss / 2) + INT(RND * ss(m) / 2) + 1: PRINT ss; "small ships"
9680 IF mm(m) > 0 THEN mm = INT(mm / 2) + INT(RND * mm(m) / 2) + 1: PRINT mm; "merchantmen"
9675 IF dr = 5 THEN GOTO 9740
9690 IF dr = 6 THEN PRINT "Ships at x-"; x(m); "and y-"; y(m)
9700 IF cv(m) > 0 THEN PRINT cv(m); "carriers"
9710 IF ls(m) > 0 THEN PRINT ls(m); "large ships"
9720 IF ss(m) > 0 THEN PRINT ss(m); "small ships"
9730 IF mm(m) > 0 THEN PRINT mm(m); "merchant ships"
9740 GOTO 4040

9750 REM search type reporting and search checking
9755 CLS
9756 IF sd = 2 THEN tf = m
9757 IF sd = 1 THEN tf = m + 20
9760 IF v(m) > 0 THEN PRINT "TF"; m; "sighted by Task Force"; v(m)
9770 IF va(m) > 0 THEN PRINT "TF"; m; "sighted by air search"; va(m)
9780 IF vu(m) > 0 THEN PRINT "TF"; m; "sighted by sub search"; vu(m)
9790 GOTO 9510

10010 REM file control
10020 PRINT : INPUT "Enter 1 to save a file or 2 to load one, 99 to end program"; fc
10030 IF fc = 1 THEN GOTO 10060
10040 IF fc = 2 THEN GOTO 10200
10045 IF fc = 99 THEN STOP
10050 IF fc < 1 OR fc > 2 THEN GOTO 10020
10060 PRINT : INPUT "File name to save (0=no more)"; n$
10070 IF n$ = "0" THEN GOTO 30
10080 OPEN n$ FOR OUTPUT AS #1
10090 FOR n = 1 TO 40
10100 WRITE #1, x(n), y(n), w(n), d(n), s(n), r(n), z(n), v(n), dr(n)
10110 WRITE #1, sx(n), sy(n), sd(n), sa(n), se(n)
10120 WRITE #1, i(n), cv(n), ls(n), ss(n), mm(n), tt(n), tx(n), ty(n)
10130 WRITE #1, wx(n), wy(n), wd(n), wc(n), ws(n), wr(n), ud(n)
10140 WRITE #1, ux(n), uy(n), xd(n), yd(n), st(n), vu(n), va(n), tn
10160 NEXT n
10170 CLOSE #1
10180 GOTO 30
10200 PRINT : INPUT "File name to load (0=no more)"; p$
10210 IF p$ = "0" THEN GOTO 30
10220 OPEN p$ FOR INPUT AS #1
10230 FOR n = 1 TO 40
10240 INPUT #1, x(n), y(n), w(n), d(n), s(n), r(n), z(n), v(n), dr(n)
10250 INPUT #1, sx(n), sy(n), sd(n), sa(n), se(n)
10260 INPUT #1, i(n), cv(n), ls(n), ss(n), mm(n), tt(n), tx(n), ty(n)
10270 INPUT #1, wx(n), wy(n), wd(n), wc(n), ws(n), wr(n), ud(n)
10275 INPUT #1, ux(n), uy(n), xd(n), yd(n), st(n), vu(n), va(n), tn
10280 NEXT n
10290 CLOSE #1
10300 REM KILL p$
10310 GOTO 30

